\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{arrows,automata, positioning}

\definecolor{actor}{RGB}{255,192,0}
\definecolor{venue}{RGB}{0,176,240}

\begin{document}
\begin{tikzpicture}[node distance=1cm]
	\tikzstyle{soc}=[fill=actor, circle]
	\tikzstyle{eco}=[fill=venue, circle]
	\tikzstyle{arrow} = [%
		thick,
		->,
		>=stealth,
		bend angle= 15
	]

	\node[soc] (m1s1) {};
	\node[soc] (m1s2) [right of=m1s1] {};
	\node[eco] (m1e1) [below of=m1s1] {};
	\node[eco] (m1e2) [right of=m1e1] {};
	
	\path (m1s1) edge [arrow, dotted, bend right] (m1e1);
	\path (m1e1) edge [arrow, dotted, bend right] (m1s1);
	\path (m1s1) edge [arrow, dotted, bend right] (m1e2);
	\path (m1e2) edge [arrow, dotted, bend right] (m1s1);
	\node (m1t1) [below of=m1e1, yshift=0.5cm, xshift=.5cm, align=flush center] {Tail star};
	  
    \node[soc] (m2s1) [right of=m1s2, xshift=.5cm] {};
    \node[soc] (m2s2) [right of=m2s1] {};
	\node[eco] (m2e1) [below of=m2s1] {};
	\node[eco] (m2e2) [right of=m2e1] {};
	\path (m2s2) edge [arrow, dotted, bend right] (m2e1);
	\path (m2e1) edge [arrow, dotted, bend right] (m2s2);
	\path (m2s2) edge [arrow, dotted, bend right] (m2e2);
	\path (m2e2) edge [arrow, dotted, bend right] (m2s2);
	\node (m2t1) [below of=m2e1, yshift=0.5cm, xshift=.5cm, align=flush center] {Head star};

    
	
	\path (m1s1) edge [arrow, draw = gray] (m1s2);
    
    \path (m2s1) edge [arrow, draw = gray] (m2s2);
	
	\path (m1e1) edge [arrow, dotted, bend right, draw = gray] (m1e2);
	\path (m1e2) edge [arrow, dotted, bend right, draw = gray] (m1e1);
	
	\path (m2e1) edge [arrow, dotted, bend right, draw = gray] (m2e2);
	\path (m2e2) edge [arrow, dotted, bend right, draw = gray] (m2e1);
\end{tikzpicture}

\end{document}


